Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class UniversalString

    java.lang.Object
      |
      +--org.mozilla.jss.asn1.CharacterString
            |
            +--org.mozilla.jss.asn1.UniversalString

All Implemented Interfaces:
  ASN1Value

public class UniversalString
extends CharacterString
implements ASN1Value

A UCS4 string.

Inner Class Summary
`static class` | `UniversalString.Template`
`private static class` | `UniversalString.UniversalConverter` A class for converting between Unicode and UCS4.

Inner classes inherited from class org.mozilla.jss.asn1.CharacterString
`CharacterString.Template`

Field Summary
`static Tag` | `TAG`
`private static UniversalString.Template` | `templateInstance`

Fields inherited from class org.mozilla.jss.asn1.CharacterString
`cachedContents, chars, FORM`

Constructor Summary
`UniversalString(char[] chars)`
`UniversalString(java.lang.String s)`

Method Summary
`(package private) CharConverter` | `getCharConverter()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static UniversalString.Template` | `getTemplate()` Returns a singleton instance of the decoding template for this class.

Methods inherited from class org.mozilla.jss.asn1.CharacterString
`computeContents, encode, encode, getEncodedContents, toCharArray, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Value
`encode, encode`

Field Detail

### TAG

    public static final Tag TAG

### templateInstance

    private static final UniversalString.Template templateInstance

Constructor Detail

### UniversalString

    public UniversalString(char[] chars)
                    throws java.io.CharConversionException

### UniversalString

    public UniversalString(java.lang.String s)
                    throws java.io.CharConversionException

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`
  Overrides:
    `getTag` in class `CharacterString`

### getCharConverter

    CharConverter getCharConverter()

  Overrides:
    `getCharConverter` in class `CharacterString`

### getTemplate

    public static UniversalString.Template getTemplate()

  Returns a singleton instance of the decoding template for this class.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD